No WLAN on Acer Extensa 4014

Bug #121819 reported by n_v_v on 2007-06-22
4
Affects Status Importance Assigned to Milestone
linux-ubuntu-modules-2.6.24 (Ubuntu)
Undecided
Unassigned
ndiswrapper (Ubuntu)
Undecided
Unassigned

Bug Description

On Acer Extensa notebook WLAN does not work. Wlan option is not listed in Network Settings.
Normal cable lan works ok.

uname -a
Linux vla-acer 2.6.20-16-generic #2 SMP Thu Jun 7 20:19:32 UTC 2007 i686 GNU/Linux

lspci:
00:00.0 Host bridge: ATI Technologies Inc RS480 Host Bridge (rev 10)
00:01.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:04.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:05.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:06.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:07.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:12.0 IDE interface: ATI Technologies Inc 4379 Serial ATA Controller (rev 80)
00:13.0 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
00:13.1 USB Controller: ATI Technologies Inc IXP SB400 USB Host Controller (rev 80)
00:13.2 USB Controller: ATI Technologies Inc IXP SB400 USB2 Host Controller (rev 80)
00:14.0 SMBus: ATI Technologies Inc IXP SB400 SMBus Controller (rev 83)
00:14.1 IDE interface: ATI Technologies Inc Standard Dual Channel PCI IDE Controller (rev 80)
00:14.2 Audio device: ATI Technologies Inc SB450 HDA Audio (rev 01)
00:14.3 ISA bridge: ATI Technologies Inc IXP SB400 PCI-ISA Bridge (rev 80)
00:14.4 PCI bridge: ATI Technologies Inc IXP SB400 PCI-PCI Bridge (rev 80)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
01:05.0 VGA compatible controller: ATI Technologies Inc RS485 [Radeon Xpress 1100 IGP]
02:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)
08:01.0 CardBus bridge: ENE Technology Inc CB-712/4 Cardbus Controller (rev 10)
08:01.1 FLASH memory: ENE Technology Inc ENE PCI Memory Stick Card Reader Controller (rev 01)
08:01.2 Generic system peripheral [0805]: ENE Technology Inc ENE PCI Secure Digital Card Reader Controller (rev 01)
08:01.3 FLASH memory: ENE Technology Inc FLASH memory: ENE Technology Inc: (rev 01)
08:01.4 FLASH memory: ENE Technology Inc SD/MMC Card Reader Controller (rev 01)
08:02.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)

the card is there:
02:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)

however in Windows XP the card works under AR5007EG name.

ndiswrapped does not work with WORKING winxp drivers:

ndiswrapper -l
net5211 : driver installed
        device (168C:001C) present (alternate driver: ath_pci)

dmesg | grep ndis:

[ 48.000084] ndiswrapper version 1.38 loaded (preempt=no,smp=yes)
[ 48.062343] usbcore: registered new interface driver ndiswrapper
[ 2682.156000] usbcore: deregistering interface driver ndiswrapper
[ 2708.956000] ndiswrapper version 1.38 loaded (preempt=no,smp=yes)
[ 2709.000000] ndiswrapper: driver net5211 (,11/15/2006,5.1.1.9) loaded
[ 2709.000000] ndiswrapper (ZwClose:2467): closing handle 0xd3ab12a8 not implemented
[ 2709.004000] ndiswrapper (NdisWriteErrorLogEntry:231): log: C0001389, count: 4, return_address: dd3de6d4
[ 2709.004000] ndiswrapper (NdisWriteErrorLogEntry:234): code: 0xca3547c8
[ 2709.004000] ndiswrapper (NdisWriteErrorLogEntry:234): code: 0x28
[ 2709.004000] ndiswrapper (NdisWriteErrorLogEntry:234): code: 0xdca9c000
[ 2709.004000] ndiswrapper (NdisWriteErrorLogEntry:234): code: 0xdca9c000
[ 2709.004000] ndiswrapper (miniport_init:275): couldn't initialize device: C000009A
[ 2709.004000] ndiswrapper (pnp_start_device:426): Windows driver couldn't initialize the device (C0000001)
[ 2709.004000] ndiswrapper (miniport_halt:339): device ca354400 is not initialized - not halting
[ 2709.008000] ndiswrapper: device eth%d removed
[ 2709.008000] ndiswrapper: probe of 0000:02:00.0 failed with error -22
[ 2709.020000] usbcore: registered new interface driver ndiswrapper

ifconfig
eth0 Link encap:Ethernet HWaddr 00:1B:24:2B:B1:2C
          inet addr:192.168.1.3 Bcast:192.168.1.255 Mask:255.255.255.0
          inet6 addr: fe80::21b:24ff:fe2b:b12c/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:129028 errors:0 dropped:0 overruns:0 frame:0
          TX packets:70635 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:186700873 (178.0 MiB) TX bytes:5278425 (5.0 MiB)
          Interrupt:20 Base address:0xcc00

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:106 errors:0 dropped:0 overruns:0 frame:0
          TX packets:106 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:5300 (5.1 KiB) TX bytes:5300 (5.1 KiB)

iwconfig
lo no wireless extensions.
eth0 no wireless extensions.

lsmod | grep ath:
ath_pci 97312 0
wlan 204484 1 ath_pci
ath_hal 192592 1 ath_pci

What else could I provide... ?
Thanks in advance.

Ivan Garcia (capiscuas) wrote :

ndiswrapper -l
net5211 : driver installed
        device (168C:001C) present (alternate driver: ath_pci)

Try to remove the module ath_pci to let ndiswrapper to use the wifi.
      "sudo rmmod ath_pci" or "sudo modprobe -r ath_pci"

also try put that module in the blacklist of modprobe to avoid his loading on the startup:

           sudo nano /etc/modprobe.d/blacklist-common

Insert this line:
         blacklist ath_pci

Then restart.
When u will boot again. Try to remove the old ndiswrapper driver:
        #ndiswrapper -r net5211
and load again:
        #ndiswrapper -i net5211.inf
 then install to modprobe
        #ndiswrapper -m

Then you should be able to see from ifconfig the new lan named wlan0

Tell me the results.

Ivan Garcia (capiscuas) wrote :

First install the last version of ndiswrapper, from here http://ndiswrapper.sourceforge.net/
follow this requirements:
http://ndiswrapper.sourceforge.net/joomla/index.php?/component/option,com_openwiki/Itemid,33/id,installation/

ndiswrapper -l
net5211 : driver installed
        device (168C:001C) present (alternate driver: ath_pci)

Try to remove the module ath_pci to let ndiswrapper to use the wifi.
      "sudo rmmod ath_pci" or "sudo modprobe -r ath_pci"

also try put that module in the blacklist of modprobe to avoid his loading on the startup:

           sudo nano /etc/modprobe.d/blacklist-common

Insert this line:
         blacklist ath_pci

Then restart.
When u will boot again. Try to remove the old ndiswrapper driver:
        #ndiswrapper -r net5211
and load again:
        #ndiswrapper -i net5211.inf
 then install to modprobe
        #ndiswrapper -m

Then you should be able to see from ifconfig the new lan named wlan0

Tell me the results.

n_v_v (n-v-v) wrote :
Download full text (7.7 KiB)

vla@vla-acer:~$ sudo modprobe -r ath_pci
Password:
vla@vla-acer:~$ lsmod | grep ath
---nothing---

vla@vla-acer:/etc/modprobe.d$ cat blacklist-common
blacklist ath_pci

--after reboot--
vla@vla-acer:~$ lsmod | grep ath
--nothing--

root@vla-acer:/opt/wlan# ls -l
total 2972
-rwxr-xr-x 1 root plugdev 528096 2006-11-15 07:00 ar5211.sys
-rwxr-xr-x 1 root plugdev 524518 2007-01-29 15:29 data1.cab
-rwxr-xr-x 1 root plugdev 24586 2007-01-29 15:29 data1.hdr
-rwxr-xr-x 1 root plugdev 561027 2007-01-29 15:29 data2.cab
-rwxr-xr-x 1 root plugdev 346602 2002-07-25 16:07 ikernel.ex_
-rwxr-xr-x 1 root plugdev 552214 2006-11-27 10:44 ISSetup.dll
-rwxr-xr-x 1 root plugdev 417 2007-01-29 15:29 layout.bin
-rwxr-xr-x 1 root plugdev 18800 2007-01-25 05:58 net5211.cat
-rwxr-xr-x 1 root plugdev 49933 2007-01-18 14:49 net5211.inf
-rwxr-xr-x 1 root plugdev 164784 2006-05-17 17:21 _Setup.dll
-rwxr-xr-x 1 root plugdev 56320 2001-09-05 04:23 setup.exe
-rwxr-xr-x 1 root plugdev 142 2007-01-29 15:29 setup.ini
-rwxr-xr-x 1 root plugdev 144763 2007-01-22 09:45 setup.inx
-rwxr-xr-x 1 root plugdev 814 2006-11-27 15:00 setup.iss

root@vla-acer:/opt/wlan# ndiswrapper -l
--nothing--

root@vla-acer:/opt/wlan# ndiswrapper -i net5211.inf
installing net5211 ...
forcing parameter MapRegisters from 256 to 64
forcing parameter MapRegisters from 256 to 64
forcing parameter MapRegisters from 256 to 64
forcing parameter MapRegisters from 256 to 64
forcing parameter MapRegisters from 256 to 64
forcing parameter MapRegisters from 256 to 64
...
forcing parameter MapRegisters from 256 to 64
forcing parameter MapRegisters from 256 to 64
forcing parameter MapRegisters from 256 to 64
forcing parameter MapRegisters from 256 to 64
forcing parameter MapRegisters from 256 to 64
root@vla-acer:/opt/wlan#

root@vla-acer:/opt/wlan# ndiswrapper -m
adding "alias wlan0 ndiswrapper" to /etc/modprobe.d/ndiswrapper ...

root@vla-acer:/opt/wlan# ifconfig
eth0 Link encap:Ethernet HWaddr 00:1B:24:2B:B1:2C
          inet addr:192.168.1.3 Bcast:192.168.1.255 Mask:255.255.255.0
          inet6 addr: fe80::21b:24ff:fe2b:b12c/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
          RX packets:427 errors:0 dropped:0 overruns:0 frame:0
          TX packets:379 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:248373 (242.5 KiB) TX bytes:55727 (54.4 KiB)
          Interrupt:20 Base address:0xac00

lo Link encap:Local Loopback
          inet addr:127.0.0.1 Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING MTU:16436 Metric:1
          RX packets:2 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:100 (100.0 b) TX bytes:100 (100.0 b)

So, no effect. BUT: when I added "modprobe ndiswrapper"
the whole system hang. I rebooted (power button), booted in
normal mode, the progress bar hangs.
I rebooted in recovery mode, it hangs in "configuring network resources".
After "rmmod ndiswrapper" and CTRD+D the system loaded and the WLAN
option was active in Network Configurat...

Read more...

Download full text (8.2 KiB)

You must upgrade the version of Ndiswrapper, the 1.38 is having problems
with new commands of the driver .ini that makes the system hang.
Upgrade to the last version(currently 1.47)

n_v_v wrote:
> vla@vla-acer:~$ sudo modprobe -r ath_pci
> Password:
> vla@vla-acer:~$ lsmod | grep ath
> ---nothing---
>
> vla@vla-acer:/etc/modprobe.d$ cat blacklist-common
> blacklist ath_pci
>
> --after reboot--
> vla@vla-acer:~$ lsmod | grep ath
> --nothing--
>
> root@vla-acer:/opt/wlan# ls -l
> total 2972
> -rwxr-xr-x 1 root plugdev 528096 2006-11-15 07:00 ar5211.sys
> -rwxr-xr-x 1 root plugdev 524518 2007-01-29 15:29 data1.cab
> -rwxr-xr-x 1 root plugdev 24586 2007-01-29 15:29 data1.hdr
> -rwxr-xr-x 1 root plugdev 561027 2007-01-29 15:29 data2.cab
> -rwxr-xr-x 1 root plugdev 346602 2002-07-25 16:07 ikernel.ex_
> -rwxr-xr-x 1 root plugdev 552214 2006-11-27 10:44 ISSetup.dll
> -rwxr-xr-x 1 root plugdev 417 2007-01-29 15:29 layout.bin
> -rwxr-xr-x 1 root plugdev 18800 2007-01-25 05:58 net5211.cat
> -rwxr-xr-x 1 root plugdev 49933 2007-01-18 14:49 net5211.inf
> -rwxr-xr-x 1 root plugdev 164784 2006-05-17 17:21 _Setup.dll
> -rwxr-xr-x 1 root plugdev 56320 2001-09-05 04:23 setup.exe
> -rwxr-xr-x 1 root plugdev 142 2007-01-29 15:29 setup.ini
> -rwxr-xr-x 1 root plugdev 144763 2007-01-22 09:45 setup.inx
> -rwxr-xr-x 1 root plugdev 814 2006-11-27 15:00 setup.iss
>
>
> root@vla-acer:/opt/wlan# ndiswrapper -l
> --nothing--
>
> root@vla-acer:/opt/wlan# ndiswrapper -i net5211.inf
> installing net5211 ...
> forcing parameter MapRegisters from 256 to 64
> forcing parameter MapRegisters from 256 to 64
> forcing parameter MapRegisters from 256 to 64
> forcing parameter MapRegisters from 256 to 64
> forcing parameter MapRegisters from 256 to 64
> forcing parameter MapRegisters from 256 to 64
> ...
> forcing parameter MapRegisters from 256 to 64
> forcing parameter MapRegisters from 256 to 64
> forcing parameter MapRegisters from 256 to 64
> forcing parameter MapRegisters from 256 to 64
> forcing parameter MapRegisters from 256 to 64
> root@vla-acer:/opt/wlan#
>
>
> root@vla-acer:/opt/wlan# ndiswrapper -m
> adding "alias wlan0 ndiswrapper" to /etc/modprobe.d/ndiswrapper ...
>
>
> root@vla-acer:/opt/wlan# ifconfig
> eth0 Link encap:Ethernet HWaddr 00:1B:24:2B:B1:2C
> inet addr:192.168.1.3 Bcast:192.168.1.255 Mask:255.255.255.0
> inet6 addr: fe80::21b:24ff:fe2b:b12c/64 Scope:Link
> UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
> RX packets:427 errors:0 dropped:0 overruns:0 frame:0
> TX packets:379 errors:0 dropped:0 overruns:0 carrier:0
> collisions:0 txqueuelen:1000
> RX bytes:248373 (242.5 KiB) TX bytes:55727 (54.4 KiB)
> Interrupt:20 Base address:0xac00
>
> lo Link encap:Local Loopback
> inet addr:127.0.0.1 Mask:255.0.0.0
> inet6 addr: ::1/128 Scope:Host
> UP LOOPBACK RUNNING MTU:16436 Metric:1
> RX packets:2 errors:0 dropped:0 overruns:0 frame:0
> TX packets:2 errors:0 dropped:0 overruns:0 carrier:0
> collisions:0 txqueuelen:0
> RX bytes:100 (100.0 b) TX bytes:100 (100.0 b)
>
>...

Read more...

OK. Wonderfull! With the updated version of ndiswrapper I could enable the WLAN. I'm writing this without cable :)

Two points more:

1) booting with modprobe-d ndiswrapper, ubuntu hangs for ~20-30 seconds, then continues, and there are no error messages during "Configuring network devices...".
Can we somehow avoid this delay? Can we debug what's happening?

2) The hardware LED indicator of WLAN is dead. Never blinks, never is ON. But the button itself works. It turns OFF and ON the WLAN. Connection breaks and is established back.
Rather inconvinient not to know whether WLAN is active... On windows XP with the same driver LED works. Can we also debug this issue somehow?

Andreas Gnau (rondom) wrote :

As hardy has the newest version of ndiswrapper included, this bug can be closed. Please report any other issues you mentioned as seperate bugs, as they are unlikely to be seen.

Please test again with hardy and report any remaining bugs.

Changed in linux-ubuntu-modules-2.6.24:
status: New → Fix Released
Changed in ndiswrapper:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers